#pragma once

#include "CoreMinimal.h"
#include "CollectItemInteraction.h"
#include "CollectFireflyLanternFromGeneratorInteraction.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UCollectFireflyLanternFromGeneratorInteraction : public UCollectItemInteraction
{
	GENERATED_BODY()

public:
	UCollectFireflyLanternFromGeneratorInteraction();
};

FORCEINLINE uint32 GetTypeHash(const UCollectFireflyLanternFromGeneratorInteraction) { return 0; }
